Get API key
curl --request GET \
--url https://api-v2.requesty.ai/v1/manage/apikey/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-v2.requesty.ai/v1/manage/apikey/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-v2.requesty.ai/v1/manage/apikey/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"logging": true,
"monthly_spend": 123,
"monthly_limit": 123,
"permissions": {
"manage": "none",
"completions": "none"
},
"group": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"origin": "router",
"message": "<string>"
}
}{
"error": {
"origin": "router",
"message": "<string>"
}
}{
"error": {
"origin": "router",
"message": "<string>"
}
}{
"error": {
"origin": "router",
"message": "<string>"
}
}{
"error": {
"origin": "router",
"message": "<string>"
}
}{
"error": {
"origin": "router",
"message": "<string>"
}
}{
"error": {
"origin": "router",
"message": "<string>"
}
}{
"error": {
"origin": "router",
"message": "<string>"
}
}Get API Key
Get information about a specific API key. An API key can query about itself, or about other keys if it has manage read permissions.
GET
/
v1
/
manage
/
apikey
/
{id}
Get API key
information about a specific API key. Use
self as the ID to query the calling API key. An API key can query about itself, or about other keys in the same organization if it has manage read permissions.Authorizations
API key for authentication
Path Parameters
The UUID of the API key to retrieve, or 'self' to query the calling API key
Response
Successfully retrieved API key information
The unique identifier of the API key
The name of the API key
Whether logging is enabled for this API key
The amount spent by this API key in the current month
The monthly spending limit for this API key (0 means unlimited)
Show child attributes
Show child attributes
Group information if the API key belongs to a group
Show child attributes
Show child attributes
Last modified on May 9, 2026
Was this page helpful?